REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single FloorPlanDeskVariant record by its Id.
{ "FloorPlanDeskId": 123, "FloorPlanDeskName": "<string>", "FloorPlanDeskPrice": 123, "FloorPlanDeskFloorPlanId": 123, "FloorPlanDeskFloorPlanName": "<string>", "FloorPlanDeskFloorPlanBusinessId": 123, "FloorPlanDeskFloorPlanBusinessName": "<string>", "FloorPlanDeskFloorPlanBusinessCurrencyCode": "<string>", "CoworkerId": 123, "CoworkerFullName": "<string>", "CoworkerCompanyName": "<string>", "CoworkerCoworkerType": "<string>", "CoworkerEmail": "<string>", "CoworkerTeamNames": "<string>", "Name": "<string>", "Size": 123, "Capacity": 123, "Price": 123, "OccupancyPercentage": 123, "Notes": "<string>", "AvailableMonday": true, "AvailableTuesday": true, "AvailableWednesday": true, "AvailableThursday": true, "AvailableFriday": true, "AvailableSaturday": true, "AvailableSunday": true, "AccessControlGroupId": "<string>", "CoworkerContractIds": "<string>", "CoworkerContractFullNames": "<string>", "CoworkerContractStartDates": "<string>", "AvailableFromTime": "<string>", "AvailableToTime": "<string>", "AvailableFromTimeLocal": "<string>", "AvailableToTimeLocal": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
FloorPlanDeskVariant-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/floorplandeskvariants/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "FloorPlanDeskId": 0, "FloorPlanDeskName": null, "FloorPlanDeskPrice": null, "FloorPlanDeskFloorPlanId": null, "FloorPlanDeskFloorPlanName": null, "FloorPlanDeskFloorPlanBusinessId": null, "FloorPlanDeskFloorPlanBusinessName": null, "FloorPlanDeskFloorPlanBusinessCurrencyCode": null, "CoworkerId": null, "CoworkerFullName": null, "CoworkerCompanyName": null, "CoworkerCoworkerType": null, "CoworkerEmail": null, "CoworkerTeamNames": null, "Name": "", "Size": null, "Capacity": null, "Price": null, "OccupancyPercentage": 0, "Notes": null, "AvailableMonday": false, "AvailableTuesday": false, "AvailableWednesday": false, "AvailableThursday": false, "AvailableFriday": false, "AvailableSaturday": false, "AvailableSunday": false, "AccessControlGroupId": null, "CoworkerContractIds": null, "CoworkerContractFullNames": null, "CoworkerContractStartDates": null, "AvailableFromTime": null, "AvailableToTime": null, "AvailableFromTimeLocal": null, "AvailableToTimeLocal": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "FloorPlanDeskVariant Example", "LocalizationDetails": null, "CustomFields": null }